Enneo

Executor Sandbox

Get local execution command

POST /executor/localExecutionCommand

POST /executor/localExecutionCommand

Request body

idintegerbody

The id of the executor

codestringbody

The name of the executor

typestringbody

The type of the executor

languagestringbody

No description.

packagesstringbody

No description.

parametersobjectbody

No description.

Request Example

{
  "id": 123,
  "code": "<?php\n\n echo '{\"success\": true}';\n",
  "type": "sourceCode",
  "language": "php82",
  "packages": "",
  "parameters": {
    "key1": "val1ö\"\\n*!",
    "key2": "val'ue"
  }
}

Responses

200 — Successful execution

Response Example

{
  "unix": "curl -s http://host.docker.internal:8000/api/codeExecutor/sdk/php82.php -o sdk.php && echo '{}' | ENNEO_API_URL=http://host.docker.internal:8000 ENNEO_SESSION_TOKEN=***TOKEN_EXAMPLE*** ENNEO_USER_AUTH_HEADER=Authorization: Bearer ***TOKEN_EXAMPLE*** SDK=sdk.php php -dxdebug.mode=debug -dxdebug.client_port=9003 -dxdebug.client_host=127.0.0.1 -dxdebug.start_with_request=yes mycode.php",
  "windows": "Invoke-WebRequest -Uri http://host.docker.internal:8000/api/codeExecutor/sdk/php82.php -OutFile sdk.php ; $env:ENNEO_API_URL = \"http://host.docker.internal:8000\"; $env:ENNEO_SESSION_TOKEN=***TOKEN_EXAMPLE*** $env:ENNEO_USER_AUTH_HEADER = \"Authorization: Bearer ***TOKEN_EXAMPLE***\"; $env:SDK = \"sdk.php\"; ; php -dxdebug.mode=debug -dxdebug.client_port=9003 -dxdebug.client_host=127.0.0.1 -dxdebug.start_with_request=yes mycode.php"
}

403 — Unauthorized

500 — Internal error